<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum Product: string implements HasLabel
{
    case POLYPROPYLENE = 'بولي بروبيلين';
    case POLYETHYLENE = 'بولي ايتيلين';
    case OTHER = 'مواد أخرى';
    public function getLabel(): ?string
    {
        return match ($this) {
            self::POLYPROPYLENE => 'بولي بروبيلين',
            self::POLYETHYLENE => 'بولي ايتيلين',
            self::OTHER => 'مواد أخرى',
        };
    }
}
